<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>hg phase</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="hg-phase">
<span id="hg-phase-1"></span>
<h1 class="title">hg phase</h1>
<h2 class="subtitle" id="set-or-show-the-current-phase-name">set or show the current phase name</h2>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#synopsis" id="toc-entry-1">Synopsis</a></li>
<li><a class="reference internal" href="#description" id="toc-entry-2">Description</a></li>
<li><a class="reference internal" href="#options" id="toc-entry-3">Options</a></li>
</ul>
</div>
<div class="section" id="synopsis">
<h1><a class="toc-backref" href="#contents">Synopsis</a></h1>
<pre class="literal-block">
hg phase [-p|-d|-s] [-f] [-r] [REV...]
</pre>
</div>
<div class="section" id="description">
<h1><a class="toc-backref" href="#contents">Description</a></h1>
<p>With no argument, show the phase name of the current revision(s).</p>
<p>With one of -p/--public, -d/--draft or -s/--secret, change the
phase value of the specified revisions.</p>
<p>Unless -f/--force is specified, <a class="reference external" href="hg-phase.html"><tt class="docutils literal">hg phase</tt></a> won't move changesets from a
lower phase to a higher phase. Phases are ordered as follows:</p>
<pre class="literal-block">
public &lt; draft &lt; secret
</pre>
<p>Returns 0 on success, 1 if some phases could not be changed.</p>
<p>(For more information about the phases concept, see <a class="reference external" href="topic-phases.html"><tt class="docutils literal">hg help phases</tt></a>.)</p>
</div>
<div class="section" id="options">
<h1><a class="toc-backref" href="#contents">Options</a></h1>
<table class="docutils option-list" frame="void" rules="none">
<col class="option" />
<col class="description" />
<tbody valign="top">
<tr><td class="option-group">
<kbd><span class="option">-p</span>, <span class="option">--public</span></kbd></td>
<td>set changeset phase to public</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-d</span>, <span class="option">--draft</span></kbd></td>
<td>set changeset phase to draft</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-s</span>, <span class="option">--secret</span></kbd></td>
<td>set changeset phase to secret</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-f</span>, <span class="option">--force</span></kbd></td>
<td>allow to move boundary backward</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-r</span>, <span class="option">--rev <var>&lt;REV[+]&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>target revision</td></tr>
</tbody>
</table>
<p>[+] marked option can be specified multiple times</p>
</div>
</div>
</body>
</html>
